<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>
	
	<xsd:element name="OPERATOR" type="UserContent"/>
	<xsd:element name="OLD_USER_NAME" type="xsd:string"/>
	<xsd:element name="NEW_USER_NAME" type="xsd:string"/>
	<xsd:element name="DISABLED" type="xsd:boolean"/>
	<xsd:element name="LOCKED" type="xsd:boolean"/>
  
	<xsd:element name="AUDIBLE_ALARM_DATA" type="AudibleAlarmContent"/>
	<xsd:element name="AUDIBLE_ALARM_TYPE" type="AudibleAlarmType"/>
	<xsd:element name="ENABLE" type="xsd:boolean"/>
	<xsd:element name="REPEAT" type="xsd:boolean"/>
        <xsd:element name="NUM_OF_AUDIBLE_REPETITIONS" type="xsd:integer"/>
	<xsd:element name="REPETITIONS_INTERVAL" type="xsd:integer"/>

	<xsd:complexType name="UserContent">
		<xsd:sequence>
			<xsd:element ref="USER_NAME" minOccurs="0"/>
			<xsd:element ref="PASSWORD" minOccurs="0"/>
			<xsd:element ref="AUTHORIZATION_GROUP" minOccurs="0"/>
			<xsd:element ref="OLD_USER_NAME" minOccurs="0"/>
			<xsd:element ref="NEW_USER_NAME" minOccurs="0"/>
			<xsd:element ref="DISABLED" minOccurs="0"/>
			<xsd:element ref="LOCKED" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>  
	</xsd:complexType>

	<xsd:simpleType name="AudibleAlarmType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="AwaitingOperatorAssistance"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="AudibleAlarmContent">
		<xsd:sequence>
			<xsd:element ref="AUDIBLE_ALARM_TYPE" />
			<xsd:element ref="ENABLE" />
			<xsd:element ref="REPEAT" />
      <xsd:element ref="NUM_OF_AUDIBLE_REPETITIONS" />
			<xsd:element ref="REPETITIONS_INTERVAL" />
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other" />
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
